@media (max-width: 768.5px) {
  .header__menu {
    @include textstyle(11px, 500, 22px);
    & a {
      color: $general-gray-color;
    }
    & li:first-child a {
      color: $first-header-menu-item-color;
    }
  }
  .header {
    position: relative;
    width: 80%;
    padding: 3% 10%;
  }
  .header__button-container {
    display: flex;
    justify-content: end;
    align-items: center;
    margin: 3vw 0 5vw;
  }
  .header__burger-menu-button {
    height: 6vw;
    width: 8vw;
  }
  .header__menu--active {
    display: flex;
  }
  .header__menu--disabled {
    display: none;
  }
  .burger-menu-button--lines {
    background-image: url("../img/lines.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
  .burger-menu-button--cross {
    background-image: url("../img/cross.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
  .header__menu {
    position: absolute;
    top: 20%;
    right: 10%;
    height: 210px;
    width: 182px;
    flex-direction: column;
    justify-content: space-between;
    background-color: #f5f5f5;
    & ul li {
      line-height: 30px;
      padding-left: 12px;
    }
    & ul li:hover {
      background-color: $fullscaleformat-background-color;
    }
  }
  .header__image {
    min-width: 100%;
    height: 40.25vw;
    background-image: url("../img/header.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
}
@media (min-width: 769px) and (max-width: 1200.5px) {
  .header__menu {
    @include textstyle(11px, 400, 22px);
    & a {
      color: $general-gray-color;
    }
    & li:first-child a {
      color: $first-header-menu-item-color;
    }
  }
  .header {
    width: 80%;
    padding: 0 10%;
  }
  .header__burger-menu-button {
    display: none;
  }
  .header__menu {
    display: flex;
    height: 100px;
    width: 100%;
    justify-content: center;
    align-items: center;
    & ul {
      display: flex;
      gap: 36px;
    }
  }
  .header__image {
    min-width: 100%;
    min-height: 37vw;
    background-image: url("../img/header.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
}
@media (min-width: 1201px) {
  .header__menu {
    @include textstyle(11px, 400, 22px);
    & a {
      color: $general-gray-color;
    }
    & li:first-child a {
      color: $first-header-menu-item-color;
    }
  }
  .main-container {
    background-color: $fullscaleformat-background-color;
  }
  .header {
    position: relative;
    width: 80%;
    padding: 0 10%;
  }
  .header__burger-menu-button {
    display: none;
  }
  .header__menu {
    display: flex;
    height: 100px;
    justify-content: center;
    align-items: center;
    & ul {
      display: flex;
      gap: 34px;
    }
  }
  .header__image {
    min-width: 100%;
    min-height: 37vw;
    background-image: url("../img/header.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
}
